isb_sizes:
    isb_s0s1: 2
    isb_s1s2: 2
    isb_s2s3: 1
    isb_s3s4: 8
    isb_s4s5: 8
    isb_cachebuffer: 2
num_harts: 1
overlap_redirections: False
merged_rf: False
s_extension:
  dtlb_config:
    set_associative:
      4kb: {ways: 4, sets: 2, replacement: 0}
      4mb: {ways: 2, sets: 2, replacement: 0}
      2mb: {ways: 2, sets: 2, replacement: 0}
      1gb: {ways: 1, sets: 1, replacement: 0}
      512gb: {ways: 1, sets: 1, replacement: 0}
      256tb: {ways: 1, sets: 1, replacement: 0}   
  itlb_config:
    set_associative:
      4kb: {ways: 4, sets: 2, replacement: 0}
      4mb: {ways: 2, sets: 2, replacement: 0}
      2mb: {ways: 1, sets: 1, replacement: 0}
      1gb: {ways: 1, sets: 1, replacement: 0}
      512gb: {ways: 1, sets: 1, replacement: 0}
      256tb: {ways: 1, sets: 1, replacement: 0}
total_events : 31
iepoch_size: 2
m_extension:
  mul_stages_in : 1
  mul_stages_out: 1
  div_stages : 32
branch_predictor:
  instantiate: True
  predictor: gshare
  btb_depth: 32
  bht_depth: 256
  history_len: 7
  history_bits: 5
  ras_depth: 8
icache_configuration:
  instantiate: true
  sets: 64
  word_size: 4
  block_size: 16
  ways: 4
  replacement: RANDOM
  fb_size: 4
  ecc_enable: false
  one_hot_select: false
dcache_configuration:
  instantiate: true
  sets: 64
  word_size: 4
  block_size: 16
  ways: 4
  fb_size: 9
  sb_size: 2
  lb_size: 5
  ib_size: 2
  replacement: RR
  ecc_enable: false
  one_hot_select: false
  rwports: '1r1w'
reset_pc: 4096
bus_protocol: AXI4
bsc_compile_options:
  elfmem: True
  test_memory_size: 33554432
  assertions: true
  ovl_assertions: False
  sva_assertions: False
  ovl_path: ""
  trace_dump: True
  compile_target: 'sim'
  suppress_warnings: ["none"]
  verilog_dir: build/hw/verilog
  build_dir: build/hw/intermediate
  top_module: mkTbSoc
  top_file: TbSoc.bsv
  top_dir: test_soc
  open_ocd: False
  cocotb_sim: False
verilator_configuration:
  coverage: none
  trace: false
  threads: 1
  verbosity: true
  out_dir: bin
noinline_modules:
  stage0: True
  stage1: True
  stage2: True
  stage3: True
  stage4: True
  stage5: True
  mbox: True
  mbox_mul: True
  mbox_div: True
  registerfile: True
  bpu: True
  riscv: True
  csrbox: True
  scoreboard: True
  bypass: True
  base_alu: True
  decoder: True
  decompress: True
